package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 接口监控参数对象 dxp_call_log_param
 * 
 * @author jy
 * @date 2022-11-06
 */
public class CallLogParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** uuid */
    @Excel(name = "uuid")
    private String uuid;

    /** 请求参数 */
    @Excel(name = "请求参数")
    private String requestParam;

    /** 返回参数 */
    @Excel(name = "返回参数")
    private String returnParam;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUuid(String uuid) 
    {
        this.uuid = uuid;
    }

    public String getUuid() 
    {
        return uuid;
    }
    public void setRequestParam(String requestParam) 
    {
        this.requestParam = requestParam;
    }

    public String getRequestParam() 
    {
        return requestParam;
    }
    public void setReturnParam(String returnParam) 
    {
        this.returnParam = returnParam;
    }

    public String getReturnParam() 
    {
        return returnParam;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("uuid", getUuid())
            .append("requestParam", getRequestParam())
            .append("returnParam", getReturnParam())
            .toString();
    }
}
